org.apache.kylin.jdbc

## Class KylinMetaImpl.MetaCatalog

- java.lang.Object
- - org.apache.kylin.jdbc.KylinMetaImpl.AbstractNode
  - - org.apache.kylin.jdbc.KylinMetaImpl.MetaCatalog

Enclosing class:
  KylinMetaImpl

    public static class KylinMetaImpl.MetaCatalog
    extends KylinMetaImpl.AbstractNode

Metadata describing a catalog.

### Field Summary

Fields
`static List<net.hydromatic.avatica.ColumnMetaData>` `meta`
`List<KylinMetaImpl.MetaSchema>` `schemas`
`String` `tableCatalog`

### Constructor Summary

Constructors
Constructor and Description
`KylinMetaImpl.MetaCatalog(String tableCatalog, List<KylinMetaImpl.MetaSchema> schemas)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node>` `getChildren()`
`String` `getName()`
`int` `hashCode()`

### Methods inherited from class org.apache.kylin.jdbc.KylinMetaImpl.AbstractNode

`searchByPatterns`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### meta

    public static final List<net.hydromatic.avatica.ColumnMetaData> meta

#### tableCatalog

    public final String tableCatalog

#### schemas

    public final List<KylinMetaImpl.MetaSchema> schemas

### Constructor Detail

#### KylinMetaImpl.MetaCatalog

    public KylinMetaImpl.MetaCatalog(String tableCatalog,
                             List<KylinMetaImpl.MetaSchema> schemas)

### Method Detail

#### getName

    public String getName()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### getChildren

    public List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node> getChildren()